<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="demo_mdialog">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>demo_mdialog</refname>
    <refpurpose>créé une boîte de dialogue</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>resp = demo_mdialog(fil)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Description</title>
    <para>
			La fonction demo_mdialog créé une boîte de dialogue. Elle prend comme argument 
			le fichier fil, un fichier binaire. Ce fichier est construit à partir d'un 
			fichier .sce écrit comme suit. Il doit contenir les variables 'titl', le titre 
			de la boîte de dialogue, 'namevar', le nom des champs à remplir, et 'value', 
			les valeurs écrites par défaut. Après quoi doit figurer dans ce fichier une 
			sauvegarde des trois variables dans le fichier binaire.
			La commande demo_mdialog doit être précédée de l'exécution du fichier .sce 
			associcié
			La fonction demo_mdialog renvoie en sortie 'resp', les valeurs affectées aux 
			variables
		</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
exec('SCI/demos/control/pid/pid_dial_4.sce');
[defv]=demo_mdialog('SCI/demos/control/pid/pid_dial_4.bin');  
  
if defv==[] then warning('Demo stops!');return;end
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="demo_choose">demo_choose</link>
      </member>
      <member>
        <link linkend="x_mdialog">x_mdialog</link>
      </member>
      <member>
        <link linkend="x_dialog">x_dialog</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>G.H</member>
    </simplelist>
  </refsection>
</refentry>
